
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_prelinedetail")]
    public class BasePrelinedetail
    {

        [Key]
        [Column("id")]
        public Guid id { get; set; }

        [Column("preline_id")]
        public Guid? prelineId { get; set; }

        /// <summary>
        /// 预设线编码
        /// </summary>
        [Column("preline_no")]
        public string prelineNo { get; set; }

        /// <summary>
        /// 预设线名称
        /// </summary>
        [Column("preline_nm")]
        public string prelineNm { get; set; }

        /// <summary>
        /// 站台分流线id
        /// </summary>
        [Column("sitenode_id")]
        public Guid? sitenodeId { get; set; }

        /// <summary>
        /// 顺序号
        /// </summary>
        [Column("order_index")]
        public int? orderIndex { get; set; }

        /// <summary>
        /// 站台运输时间
        /// </summary>
        [Column("duration_time")]
        public int? durationTime { get; set; }

        /// <summary>
        /// 站台转换类型(预留拓展)
        /// </summary>
        [Column("change_type")]
        public int? changeType { get; set; }

        /// <summary>
        /// plc写入值
        /// </summary>
        [Column("plc_value")]
        public string plcValue { get; set; }

        /// <summary>
        /// 1入库0非入库
        /// </summary>
        [Column("IsInStock")]
        public int? isinstock { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }

        [Column("line_id")]
        public Guid? lineId { get; set; }
    }
}

